<template>
  <div class="home">
       <b-row align-h="between">
        <b-col cols="2">
            <b-button v-b-toggle.sidebar-1 size="sm" variant="outline-secondary">
                <mdicon class="color-icon" name="menu" size="36" />
            </b-button>
        </b-col>
        <!--<b-col cols="auto">
            <b-icon class="rounded-circle p-2 bg-dark" variant="light" icon="bicycle" style="font-size: 45px;"></b-icon>
        </b-col>-->
        <b-col cols="8">
        <div v-if="isConnected == 'true'" class="mx-auto text-center">



         <!--   <b-button variant="outline mx-2" style="text-align:center">
              <div style="font-size: 12px;">Livraison - Maintenant</div>
              <div style="font-size: 14px;"><b>Chez moi</b></div>
            </b-button> -->

            <b-button @click="deconnexion" variant="outline mx-2" style="text-align:center">
              <div style="font-size: 14px;"><b>{{ $store.state.user.user.first_name }} {{ $store.state.user.user.last_name }}</b></div>
              <div style="font-size: 14px;">Se déconnecter</div>
            </b-button>
          
          </div>
          <div v-else class="mx-auto text-center">

           
            <b-button @click="$router.push('login')" variant="outline mx-2" style="text-align:center">
              <div style="font-size: 12px;">Vous n'êtes pas connecté</div>
              <div style="font-size: 14px;"><b>Connectez-vous !</b></div>
            </b-button>
          </div>
          </b-col>
        <b-col cols="2">
          
        </b-col>
    </b-row>
    
    <SideBar/>
    
      <RestaurantCardComponent/>
      <StatisticsComponent/>

  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import RestaurantCardComponent from '@/components/RestaurantComponents/RestaurantCardComponent.vue'; 
import StatisticsComponent from '@/components/RestaurantComponents/StatisticsComponent.vue'; 
import SideBar from '@/components/SideBars/SideBar.vue';
import router from '@/router';
import { mapActions, mapGetters } from 'vuex';

export default Vue.extend({
  name: 'HomeView',
  components: {
    RestaurantCardComponent,
    StatisticsComponent,
    SideBar,
  },

  data() {
    return {
      form: {
        search: '',
      },
      isConnected: false,
      hasRestaurant: false,
      user: {},
      restaurant: {}
    }
  },

  methods:{
    ...mapActions(["getRestaurant"]),

    deconnexion(){
      localStorage.removeItem('user');
      localStorage.removeItem('isConnected');
      localStorage.removeItem('restaurant');
      localStorage.removeItem('hasRestaurant');
      localStorage.removeItem('token');
      //router.push('login')
      window.location.reload()
    }
  },


  mounted() {

    if (localStorage.isConnected) {
      this.isConnected = localStorage.isConnected;

      if (localStorage.user) {
         this.user = JSON.parse(localStorage.user);
         this.restaurant = localStorage.restaurant
         
      }  
      if(localStorage.restaurant){
        this.$store.state.restaurant.MyRestaurant = JSON.parse(localStorage.restaurant)
      }
    }else{
      router.push('/login')
    }
    
  },


});

</script>


<style>

.home{
  background-color: #fdfdfd;
}


</style>